DaemonForums  

Go Back   DaemonForums > OpenBSD > OpenBSD Packages and Ports

OpenBSD Packages and Ports Installation and upgrading of packages and ports on OpenBSD.

Reply
 
Thread Tools Display Modes
  #1   (View Single Post)  
Old 12th July 2012
daemonfowl daemonfowl is offline
bsdstudent
 
Join Date: Jan 2012
Location: DaemonLand
Posts: 834
Thanked 0 Times in 0 Posts
Default libfreetype.so.18.1: minor version

Hi !

Sometimes while building ports , I get mismatch errors like this one :
Code:
 warning: libfreetype.so.18.1: minor version >= 3 expected, using it anyway
How could I possibly sync versions here ?

Code:
kern.version=OpenBSD 5.2-beta (GENERIC.MP) #303: Sun Jul  8 15:09:40 MDT 2012
    todd@i386.openbsd.org:/usr/src/sys/arch/i386/compile/GENERIC.MP
The box was a 5.1 stable .

Thanks for your help !
Reply With Quote
  #2   (View Single Post)  
Old 12th July 2012
jggimi's Avatar
jggimi jggimi is offline
More noise than signal
 
Join Date: May 2008
Location: USA
Posts: 3,687
Thanked 214 Times in 189 Posts
Default

Without more information, I can only guess that the warning message is produced because your ports tree is ahead of your -current snapshot.

If you are building ports, then you should understand the meaning of the warning message. There is a significant differences between major and minor library revisions, and there is a reason why the lower minor number is acceptable for that particular port.

See http://www.openbsd.org/porting/libraries.html and review the discussion of major and minor revision numbers, carefully.
Reply With Quote
  #3   (View Single Post)  
Old 12th July 2012
daemonfowl daemonfowl is offline
bsdstudent
 
Join Date: Jan 2012
Location: DaemonLand
Posts: 834
Thanked 0 Times in 0 Posts
Default

Hi teacher jggimi !
Thank you very much for the link.I'll read it carefully.
Reply With Quote
  #4   (View Single Post)  
Old 12th July 2012
ocicat ocicat is offline
Administrator
 
Join Date: Apr 2008
Posts: 2,883
Thanked 190 Times in 160 Posts
Default

Quote:
Originally Posted by jggimi View Post
Without more information, I can only guess that the warning message is produced because your ports tree is ahead of your -current snapshot.
Emphasis has been added. However, it was stated earlier:
Quote:
Originally Posted by daemonfowl
The box was a 5.1 stable .
Emphasis has again been added.

So daemonfowl, it is unclear whether you are attempting to build ports on a -stable installation, or one with a recent snapshot installed.

Likewise, there is no mention as to what version of the ports tree is installed.

Per Section 15.4.2 of the FAQ:
Quote:
WARNING: DO NOT mix versions of Ports and OpenBSD!
It is not clear from discussion thus far that the ports tree used matches the version of the operating system installed. daemonfowl, you need to state precisely how the ports tree was obtained. If OpenBSD 5.1-stable is installed/built as the operating system, you will have had to synchronize source code to the OPENBSD_5_1 CVS tag name for the src, xenocara, and ports branches. Any other action taken will have resulted in a version mismatch.

Last edited by ocicat; 12th July 2012 at 06:32 PM. Reason: Add clarity. Is the question on -stable or -current?
Reply With Quote
  #5   (View Single Post)  
Old 12th July 2012
thirdm thirdm is offline
Package Pilot
 
Join Date: May 2009
Posts: 201
Thanked 3 Times in 3 Posts
Default

Quote:
Originally Posted by daemonfowl View Post
Hi !

Sometimes while building ports , I get mismatch errors like this one :
Code:
 warning: libfreetype.so.18.1: minor version >= 3 expected, using it anyway
How could I possibly sync versions here ?
You could get a newer snapshot, if available, or build current from source. Then of course you could potentially be ahead of your ports tree if you didn't sync that at the same time -- perhaps that's not as serious a problem since the dependencies go inward to base.

But maybe you just didn't manage to get the xenocara part of this snapshot installed when you upgrade the rest of base. If you look at http://www.openbsd.org/cgi-bin/cvswe.../shlib_version they bumped up to 18.3 only in the past few days. 18.1 was what is in 5.1 by the looks of it. So I guess you pulled a recent snapshot but somehow didn't drag in the xenocara files along with the rest. Hmmm, maybe you didn't install all the sets when you did your upgrade? I don't play around much with current. Not sure what to do in this instance. Maybe repeat the upgrade and make sure you pick all the sets this time. Or I guess you could manually untar the sets. Try first manually looking at the xenocara sets to see if it has the 18.3 free type library in there, at least.

Btw, that message comes out of ld.so (see _dl_find_loaded_shlib in http://www.openbsd.org/cgi-bin/cvswe...ubr.c?rev=1.36). It tries to find an exact match first, then looks up ignoring the minor number. This confused me at first too. It's not an error you're seeing while building a port, i.e. something from ld (or gcc -o?, libtool, whatever), but an error coming from a program on your system that's running as you build a port as ld.so tries to load libfreetype.18.3 (which is in base, part of xenocara). Do you not also see this warning running programs in general, not just when building ports?

This kind of mismatch can be harmless, just don't go running to report a bug if you do see something weird. I've been using some snapshot of 5.1 along with a somewhat out of sync ports tree (or binary packages or a mix, I forget) since I moved and lost the ability to connect to the internet with OpenBSD machine and seeing warnings like this all the time for all kinds of programs I run. If you read the link that was posted from the ports guide, you see minor version number bumps happen as new functions (and public globals, weak symbols, other things?) are added to a library. It makes it sound like a port should only demand a higher minor if it actually requires one of these additions, but I'm thinking that practice isn't strictly followed and porters just blindly bump to whatever the latest version is when they're working on it. Otherwise, how am I seeing these warnings for the past year without experiencing any real problems? Well, I guess I could just not be executing an offending code path and getting lucky -- I dunno I'm really fuzzy on linking.
Quote:
Originally Posted by daemonfowl View Post
Code:
kern.version=OpenBSD 5.2-beta (GENERIC.MP) #303: Sun Jul  8 15:09:40 MDT 2012
    todd@i386.openbsd.org:/usr/src/sys/arch/i386/compile/GENERIC.MP
The box was a 5.1 stable .

Thanks for your help !
It's not, though, according to your dmesg and the fact you have some program wanting a free type library from last week.
Reply With Quote
  #6   (View Single Post)  
Old 13th July 2012
daemonfowl daemonfowl is offline
bsdstudent
 
Join Date: Jan 2012
Location: DaemonLand
Posts: 834
Thanked 0 Times in 0 Posts
Default

Thank you so much jgimmi , ocicat . third !! I really benefit from your valuable posts.
The box was 5.1 stable which I upgraded to -current and ... trying to figure out what foolishness I might have done again .. :-)
Reply With Quote
  #7   (View Single Post)  
Old 13th July 2012
daemonfowl daemonfowl is offline
bsdstudent
 
Join Date: Jan 2012
Location: DaemonLand
Posts: 834
Thanked 0 Times in 0 Posts
Default

" A BSD fool upgraded 5.1 stable to -current .. then rm -R /usr/ports .. then pkg_delete /var/db/pkg/* .. fetched the newest snapshots ports tree .. started building a few ports when he got errors .. he hasn't touched any old libs."

Quote:
Do you not also see this warning running programs in general, not just when building ports?
Thanks thirdm !!
So far :
- the Abort trap message (3 lines) when I run Opera ..... which occured on 5.1 stable but not on 5.1 current (other box) .. so I have to pkg_delete it then go rebuild it (to-do after each reboot!) ..
- mutella :
Code:
Abort trap (core dumped)
- mplayer :
Code:
mplayer
warning: libfreetype.so.18.1: minor version >= 3 expected, using it anyway
MPlayer SVN-r33060 (C) 2000-2011 MPlayer Team
But works fine !
- Some applications just refuse to start .. eg. xarchie & links+
- nmap-zenmap :
Code:
nmapfe
warning: libfreetype.so.18.1: minor version >= 3 expected, using it anyway
Reply With Quote
  #8   (View Single Post)  
Old 13th July 2012
daemonfowl daemonfowl is offline
bsdstudent
 
Join Date: Jan 2012
Location: DaemonLand
Posts: 834
Thanked 0 Times in 0 Posts
Default

Alas !
Code:
===>  Building package for xombrero-1.1.0v1
Create /usr/ports/packages/i386/all/xombrero-1.1.0v1.tgz
Error: Libraries in packing-lists in the ports tree
       and libraries from installed packages don't match
--- /tmp/dep_cache.6dXDIxigx/portstree- Fri Jul 13 04:03:11 2012
+++ /tmp/dep_cache.6dXDIxigx/inst-      Fri Jul 13 04:03:11 2012
@@ -20,7 +20,7 @@
 -W gdk_pixbuf-2.0.2600.0
 -W gio-2.0.3200.0
 -W glib-2.0.3200.0
--W gnutls.38.0
+-W gnutls.18.2
 -W gobject-2.0.3200.0
 -W gthread-2.0.3200.0
 -W gtk-x11-2.0.2400.0
*** Error code 1

Stop in /usr/ports/www/xombrero (line 1718 of /usr/ports/infrastructure/mk/bsd.port.mk).
*** Error code 1

Stop in /usr/ports/www/xombrero (line 2265 of /usr/ports/infrastructure/mk/bsd.port.mk).
*** Error code 1

Stop in /usr/ports/www/xombrero (line 2245 of /usr/ports/infrastructure/mk/bsd.port.mk).
*** Error code 1

Stop in /usr/ports/www/xombrero (line 1739 of /usr/ports/infrastructure/mk/bsd.port.mk).
*** Error code 1

Stop in /usr/ports/www/xombrero (line 2245 of /usr/ports/infrastructure/mk/bsd.port.mk).
Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
PCC reached version 1.0 Mr-Biscuit News 50 27th March 2014 09:29 AM
pkg_add_it - new version DNAeon FreeBSD Ports and Packages 5 14th November 2010 01:43 AM
Ports Version associated with FreeBSD version rtwingfield FreeBSD Ports and Packages 4 7th June 2010 11:00 PM
kernel version 0?? Stellar OpenBSD General 5 30th August 2009 11:07 PM
How I can have two version of zsh mfaridi FreeBSD Ports and Packages 7 15th May 2008 05:56 PM


All times are GMT. The time now is 12:20 PM.


Powered by vBulletin® Version 3.8.4
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content copyright © 2007-2010, the authors
Daemon image copyright ©1988, Marshall Kirk McKusick